<template>
  <nav class="navbar" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
      <a class="navbar-item" href="https://www.chanel.com/ch-fr/?gclid=EAIaIQobChMI8riRp9aI7wIVGvhRCh3d2QnBEAAYASAAEgL3IvD_BwE">
        <img src="https://assets.letemps.ch/sites/default/files/Chanel_logo_0.svg" width="112" height="28">
      </a>
      <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
      </a>
    </div>

    <div id="navbarBasicExample" class="navbar-menu">
      <div class="navbar-start">
        <router-link to="/" class="navbar-item">Accueil</router-link>
        <router-link to="/blog/" class="navbar-item">Blog</router-link>
        <router-link to="/contact/" class="navbar-item">Contact</router-link>
      </div>
    </div>
    <main>
  <div class="search-box">
   <input type="text" class="search-bar" placeholder="Rechercher..." />
  </div>
</main>
  </nav>
</template>

<script>
export default {
  name: 'Navbar'
}

</script>

<style>
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.search-box {
  width: 90%;
  margin-bottom: 25px;
  margin-top: 12px;
  margin-right: 100px;
}

.search-box .search-bar {
  width: 100%;
  padding: 15px;

  color: black;
  font-size : 14px;

  appearance: none;
  border: none;
  outline: none;

  border-radius: 0px 0px 0px 0px;
  transition: 0.4s;
  box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.2);
}

.search-box .search-bar:focus {
  border-radius: 16px 16px 16px 16px;

}
</style>
